// em.def -- the definitons for the static / class variables
// for the classes used by Edmund Mouse (for Tyrrell)

int Directions::picked = -1;
int Directions::opposite[9] = {-1, 5, 6, 7, 8, 1, 2, 3, 4};
int Directions::opleft[9] = {-1, 4, 5, 6, 7, 8, 1, 2, 3,};
int Directions::opright[9] = {-1, 6, 7, 8, 1, 2, 3, 4, 5};
int Directions::left[9] = {-1, 8, 1, 2, 3, 4, 5, 6, 7,};
int Directions::right[9] = {-1, 2, 3, 4, 5, 6, 7, 8, 1};

void Directions::pick_safe();
void Directions::pick_sheltered();
void Directions::pick_new_sheltered();
void Directions::pick_forage();
int Directions::go_home();
void Directions::pick_mate();
void Directions::pick();
int Directions::go_fast();
int Directions::go();
int Directions::observe_predator();
double Directions::dangerof(int direction);
